/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_SpreadsheetOp_h__
#define __operator_SpreadsheetOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Operator to show a table of attributes

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT SpreadsheetOp:
	public OperatorSurfaceCommon,
	public Initialize<SpreadsheetOp>
{
	public:

						SpreadsheetOp(void):
							m_brushed(FALSE)								{}

virtual					~SpreadsheetOp(void)								{}

		void			initialize(void);

						//* As HandlerI
virtual	void			handle(Record& a_rSignal);

	private:
		sp<DrawMode>				m_spSolid;

		WindowEvent					m_event;

		BWORD						m_brushed;
};

} /* namespace */

#endif /* __operator_SpreadsheetOp_h__ */
